#ifndef RF_PACKETS_H_
#define RF_PACKETS_H_

#if (ARDUINO >= 100)
 #include <Arduino.h>
#else
 #include <WProgram.h>
 #include <pins_arduino.h>
#endif

#define RF_SUCCESS 0

#define Max_Data_Size 64

struct packet_cmd{
  uint16_t header = 0x5555;
  uint8_t reserve;
  uint8_t address;
  uint16_t length;
  uint16_t command;
  uint8_t data[Max_Data_Size];  // Don't forget to delete the heap after use
  uint8_t chksum;
};

struct packet_rcv{
  uint16_t header = 0x5555;
  uint8_t reserve;
  uint8_t address;
  uint16_t length;
  uint8_t result;
  uint8_t data[Max_Data_Size];  // Don't forget to delete the heap after use
  uint8_t chksum;
};

#endif
